<?php


namespace App\Entities\Recepcao;

use App\Entities\Recepcao\RecepcionistaBuilder;
use App\Utils\Entity;

class Recepcionista extends Entity
{
    protected $id;
    protected $id_profissional;

    public static function builder() : RecepcionistaBuilder
    {
        $recepcionista_builder = new RecepcionistaBuilder();
        return $recepcionista_builder;
    }

    public function getId() : int
    {
        return $this->id;
    }

    public function getIdProfissional() : int
    {
        return $this->id_profissional;
    }

    public function setId(int $id): void
    {
        $this->id = $id;
    }

    public function setIdProfissional(int $id_profissional): void
    {
        $this->id_profissional = $id_profissional;
    }
}